Nimbu Developer Docs
ReferenceApps

Create app code file

POST
/apps/{app_id}/code

Uploads a new cloud code file for the application using the provided filename and contents.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

app_id*string

Application key

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/apps/string/code" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "code": "string"  }'
{
  "name": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "url": "http://example.com",
  "code": "string"
}
{
  "message": "string",
  "code": 0,
  "errors": [
    {
      "resource": "string",
      "field": "string",
      "message": "string",
      "code": "string",
      "messages": [
        "string"
      ],
      "codes": [
        "string"
      ],
      "value": null
    }
  ]
}